/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*, cgl.globalmmcs.webserver.sessionmgt.*"%>
<%
   String	 sess_id = (String)request.getAttribute("sessionid");
   UserBean      user = (UserBean)request.getAttribute("user");

   String        userID = user.getUserid();
   String        first  = user.getFirstName();
   String        last   = user.getLastName();

   XGSPConfiguration xgsp_conf = XGSPConfiguration.getInstance();
   String       NB_Addr = xgsp_conf.getNBAddr();
   String       Sess_Addr = xgsp_conf.getSessionSv();
%>
<html>
<head>
<title>
AVenterRoom
</title>
<OBJECT ID="RealOneActiveXObject" WIDTH=0 HEIGHT=0 CLASSID="CLSID:FDC7A535-4070-4B92-A0EA-D9994BCC0DC5">
</OBJECT>
<script>
<!--
function PlayClip(url) {
RealOneActiveXObject.PlayClip(url)
}
//-->
</script>
</head>

<body>
<h1>
Enter the Room: <%= sess_id %>
</h1>
<form name="menu" method="post" action="/globalmmcs/portal">
<input type="submit" name="Logout" value="Logout" onClick="document.menu.cmd.value='logout'">
<input type="submit" name="ChangeSession" value="ChangeSession" onClick="document.menu.cmd.value='list-session'">
<input type="hidden" name="sessionid" value="<%=sess_id%>" >
<input type="hidden" name="cmd" value="">
</form>

<h2>
<a href="http://www.globalmmcs.org/guide.htm" target="_blank"> User Guide </a>
</h2>

<applet
  codebase = "applet"
  code     = "cgl.globalmmcs.xgspconsole.XGSPConsole.class"
  archive  = "chat.jar, jdom.jar, xerces.jar, jms.jar, NaradaBrokering.jar, mbone.jar, myjmf.jar,myh261.jar, client.jar, Sonic.jar  "
  name     = "XGSPConsoleApplet"
  width    = "500"
  height   = "200"
  hspace   = "0"
  vspace   = "0"
  align    = "middle"
>

<param name = "sessionID"   value = "<%=sess_id%>">
<param name = "brokerAddr"  value = "<%=NB_Addr%>">
<param name = "sessionAddr" value = "<%=Sess_Addr%>">

<param name = "userID"  value = "<%=userID%>">
<param name = "firstName"  value = "<%=first%>">
<param name = "lastname"  value = "<%=last%>">

</body>
</html>
