/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*,java.sql.Timestamp, java.util.*"%>


<html>
<head>
<title>ManageSession</title>
<LINK rel="stylesheet" type="text/css" href="full.css">

<style type="text/css">
<!--
	.style3 {font-size: 9px}
-->
</style>
</head>

<%!
   SessionBean [] sessions;
%>

<%
   sessions = ( SessionBean[] )request.getAttribute("sessions");
%>

<%
   //SessionBean [] sessions = ( SessionBean[] )request.getAttribute("sessions");
%>

<!-- ================================================================================================== -->

<body>

<script src="datetimepicker.js" language="javascript"></script>

<!-- ================================================================================================== -->

<form name="menu" method="post" action="/globalmmcs/portal">
	<table width="685" border="5" align="center" cellpadding="5" cellspacing="5">
		<tr>
			<td width="198" height="62" ><span class="style3">
			  <em><strong>from</strong></em>
			  <input
						type="Text"
						id="dayPassString_from"
						NAME="dayPassString_from"
						readOnly
						style="text-align: center" VALUE=""
						maxlength="25"
						size="20">&nbsp;&nbsp;
				  <a href="javascript:NewCal('dayPassString_from','ddmmmyyyy',true,24)">
				  <img src="cal.gif" width="18" height="21" border="0" alt="pick"></a><br>
				 <em><strong>to &nbsp;&nbsp;</strong></em>&nbsp;&nbsp;
			   <input
						type="Text"
						id="dayPassString_to"
						name="dayPassString_to"
						readonly
						style="text-align: center" value=""
						maxlength="25"
						size="20">&nbsp;&nbsp;
				<a href="javascript:NewCal('dayPassString_to','ddmmmyyyy',true,24)">
				<img src="cal.gif" width="18" height="21" border="0" alt="pick"></a></span></td>

			<td width="171">
				<fieldset class="style3">
					<em><strong>Time?</strong></em>&nbsp;
					<input name="time"	type="radio"	value="ongoing">ongoing
					<input name="time"	type="radio"	value="today">today
					<input name="time"	type="radio"	value="future">future
					<input name="time"	type="radio"	value="past">past
					<input name="time"	type="radio"	value="all">all
				</fieldset>		  </td>

			<td width="89">
				<p class="style3">
			<fieldset class="style3" title="Show ... Meetings">
				<legend><em><strong>Owner? </strong></em></legend>

				<label> <input type="radio" name="whosemeetings" value="all">all</label>
				<label> <input type="radio" name="whosemeetings" value="my">my</label>
		  </fieldset>		  </td>
			<td width="87"><span class="style3"><em><strong>Room?</strong></em><br>
			 <select name="room">
			   <option value="all">all</option>
			   <option value="a">a</option>
			   <option value="b">b</option>
			   <option value="c">c</option>
			 </select>
		  </span></td>
			<td width="40">


<input name="list" type="submit" value="List">

<!--
<input
   align="center"
   src         = "graphics/list_off.gif"
   onmouseover = "this.src='graphics/list_on.gif'"
   onmouseout  = "this.src='graphics/list_off.gif'"
   type        = "image"
   value       = "List"
   onClick     = "document.menu.cmd.value= 'list-of-meetings'"
>
-->

			</td>
		</tr>
	</table>
	<input type="hidden" name="cmd" value="list-of-meetings">
</form><p>

<!-- ================================================================================================== -->

</p>

<!-- ================================================================================================== -->

<table border="5" align="center" cellpadding="5" cellspacing="5">
	<tr>
		<td>

			<table  border="1" align="center" cellpadding="10">
				<tr><th colspan="4"> Session List  </th></tr>
				<tr><th>name</th><th>room</th><th>start time</th><th>end time</th></tr>


                    <%
                    cgl.globalmmcs.webserver.SessionBean sess;
				for (int i=0; i < sessions.length; i++ ) {
					sess = sessions[i];
					sess.setUrl("portal?"+"cmd=get-session&");
					%>

					<tr>
					<td><%=sess.getHtml()%> </td>
					<td><%=sess.getSessionplace()%> </td>
					<td><%=sess.getSessionstart().toString()%> </td>
					<td><%=sess.getSessionend().toString()%> </td>
					</tr>

					<%
				}
				%>

			</table>
		</td>
	</tr>
</table>

<!-- ================================================================================================== -->

</body></html>
