/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType = "text/html" import="cgl.globalmmcs.webserver.*"%>

<html><head><title>addsession</title><LINK rel="stylesheet" type="text/css" href="full.css"></head><body>

<script src="datetimepicker.js" language="javascript"></script>

   <SCRIPT LANGUAGE=JAVASCRIPT  TYPE="TEXT/JAVASCRIPT">

   function validateForm(menu){

    if(menu.sessionid.value == ""){
      alert("you must enter a sessionid!")
      menu.sessionid.focus()
      return false
    }

    if(menu.session_name.value == ""){
      alert("you must enter a sessionname!")
      menu.session_name.focus()
      return false
    }
    if(menu.session_owner.value == ""){
      alert("you must enter a sessionowner!")
      menu.session_owner.focus()
      return false
    }
    if(menu.session_des.value == ""){
      alert("you must enter a sessiondes!")
      menu.session_des.focus()
      return false
    }
    if(menu.session_start.value == ""){
      alert("you must enter a sessionstart!")
      menu.session_start.focus()
      return false
    }
    if(menu.session_end.value == ""){
      alert("you must enter a sessionend!")
      menu.session_end.focus()
      return false
    }
    if(menu.session_place.value == ""){
      alert("you must enter a sessionplace!")
      menu.session_place.focus()
      return false
    }




    return true
  }
  </SCRIPT>


<form name="menu" method="post" action="/globalmmcs/admin" onSubmit = "return validateForm(this)">&nbsp;

<table align="center"     BORDER=0 CELLSPACING=0 CELLPADDING=5 width="478">

<TR>	<TD width="125">Session ID </TD>
	<TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="sessionid" VALUE="" SIZE=20></TD>  </TR>

<TR>	<TD width="125">Session Name </TD>
    <TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="session_name" VALUE="" SIZE=20></TD>  </TR>

<TR>	<TD width="125">Session Owner</TD>
    <TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="session_owner" VALUE="" SIZE=20></TD>  </TR>

<TR>	<TD width="125">Session Chairman</TD>
    <TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="session_chair" VALUE="" SIZE=20></TD>  </TR>

<TR>	<TD width="125">Session Des</TD>
    <TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="session_des" VALUE="" SIZE=20></TD>  </TR>

<TR>	<TD width="125">Session Start Time</TD>
    <TD width="333" COLSPAN=2 ALIGN=left>
			  <input	type="Text"
					id="session_start"
					NAME="session_start"
					readOnly style="text-align: center"
					VALUE=""
					maxlength="25"
					size="25">&nbsp;&nbsp;
				<a href="javascript:NewCal('session_start','ddmmmyyyy',true,24)">
				<img src="cal.gif" width="16" height="16" border="0" alt="Pick a date">
				</a>
			  <span class="descriptions">&nbsp; pick a date</span> &amp; time
		</TD>
</TR>
<TR>	<TD width="125">Session End Time</TD>
		<TD width="333" COLSPAN=2 ALIGN=left>

		<INPUT TYPE="text"
			id="session_end"
			NAME="session_end"
			readOnly style="text-align: center"
			VALUE=""
			maxlength="25"
			SIZE=25>&nbsp;&nbsp;
			<a href="javascript:NewCal('session_end','ddmmmyyyy',true,24)">
			<img src="cal.gif" width="16" height="16" border="0" alt="Pick a date"> </a>
			<span class="descriptions">&nbsp;pick a date & time</span>
		</TD>
</TR>
<TR>	<TD width="125">Session Place</TD>
	<TD width="333" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="session_place" VALUE="" SIZE=20></TD>  </TR>
</TABLE>&nbsp;

<table align="center"    BORDER=0  CELLPADDING=5 CELLSPACING=0>
  <TR>
    <TD width="129">

<!--<input type="submit" value="Add" onClick="document.menu.cmd.value='add-session'">-->

<input
   align="center"
   src         = "graphics/save_off.gif"
   onmouseover = "this.src='graphics/save_on.gif'"
   onmouseout  = "this.src='graphics/save_off.gif'"
   type        = "image"
   value       = "Add"
   onClick     = "document.menu.cmd.value= 'add-session'">

</TD>
    <input type="hidden" name="cmd" value="">
  </TR>
</TABLE>&nbsp;

</form>


</body></html>
