/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 *//**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*, cgl.globalmmcs.webserver.sessionmgt.*, java.util.* "%>
<!-- this jsp page is to add a video mixer -->
<jsp:useBean id="stream" class="cgl.globalmmcs.webserver.StreamBean" />

<html>
<head>
<title>
addVideoMixer
</title>
</head>
<%
   String	 sess_id = (String)request.getAttribute("sessionid");
   String	 mixer_id = (String)request.getAttribute("mixerid");

   //StreamBean [][] streams = ( StreamBean[][] )request.getAttribute("streams");
   //java.util.Vector   checked_videosrc = (java.util.Vector)request.getAttribute("checked_videosrc");

%>
<body>
<form name="menu" method="post" action="/globalmmcs/admin">
<table  border="1" align="center" cellpadding="10">
<tr><th colspan="4"> Stream List  </th></tr>
<%
  XGSPAVSessionManager manager = XGSPAVSessionManager.getInstance();
  ActiveSession sess = manager.getActiveSession(sess_id);
  StreamBean[][] streams = sess.GetStreamList();
  VideoMixer mixer = sess.getMixer(mixer_id);
  java.util.ArrayList mixed_Streams = mixer.getMixedStrmArray();
  for (int i=0; i < streams.length; i++ ) {
    StreamBean[] tmp_streamlist = streams[i];
    for ( int j=0; j < tmp_streamlist.length; j++ ) {
            stream = tmp_streamlist[j];
%>
<tr>
<td>
<%  if ( "video".equals(stream.getStreamtype())) {
      if ( mixed_Streams != null && mixed_Streams.contains(stream.getSsrc()) ) { %>
           <input type="checkbox" name="videosrc" value="<%=stream.getSsrc()%>" checked>
<% }else { %>
        <input type="checkbox" name="videosrc" value="<%=stream.getSsrc()%>">
<% } } %>
</td>
<td><%=stream.getUsername()%></td>
<td><%=stream.getStreamtype()%></td>
<td><%=stream.getStrdescription()%></td>
<td><%=stream.getSsrc()%></td>
</tr>
<% } } %>
</table>
<input type="submit" name="ModifyMixer" value="ModifyMixer" onClick ="document.menu.cmd.value='edit-video-mixer'">
<input type="submit" name="DeleteMixer" value="DeleteMixer" onClick ="document.menu.cmd.value='del-video-mixer'">
<input type="submit" name="Back" value="Back" onClick="document.menu.cmd.value='monitor-session'">
<input type="hidden" name="cmd" value="monitor-session">
<input type="hidden" name="sessionid" value="<%=sess_id%>">
</body>
</html>
