/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*,java.sql.Timestamp, java.util.*"%>
<jsp:useBean id="sess"	class="cgl.globalmmcs.webserver.SessionBean" />
<% SessionBean [] sessions = ( SessionBean[] )request.getAttribute("sessions");
%>
<html><head>	<title>ManageSession</title><LINK rel="stylesheet" type="text/css" href="full.css"></head>
<body><script src="datetimepicker.js" language="javascript"></script>

<!-- ================================================================================================== -->
<!-- Decleration for MonthOfCalendars -->
<%!
String s = "";
java.util.Date date=null;
Calendar calendar;
MonthOfCalendars 	m;
String dayPassString =null;
%>

<!-- Initialization for MonthOfCalendars -->
<%
dayPassString= request.getParameter("dayPassString");

if(dayPassString != null){
	long dayPassLong = Date.parse(dayPassString);
	date = new Date (dayPassLong);
} else {
	date = new Date (System.currentTimeMillis ());
}

calendar = new GregorianCalendar ();
calendar.setTime (date);
m = new MonthOfCalendars (calendar);
%>
<!-- ================================================================================================== -->
<form name="menu" method="post" action="/globalmmcs/admin">&nbsp;

<table align="center"     BORDER=0 CELLSPACING=0 CELLPADDING=5 width="564">
<TR>	   <TD COLSPAN=2 ALIGN=left width="554">
to change the calendar...    <input	type="Text"
					id="dayPassString"
					NAME="dayPassString"
					readOnly style="text-align: center"
					VALUE=""
					maxlength="25"
					size="20">
			  &nbsp;&nbsp;
				<a href="javascript:NewCal('dayPassString','ddmmmyyyy',true,24)">
				<img src="cal.gif" width="16" height="16" border="0" alt="pick">
				</a>
			  &nbsp; pick a date, then... <input name="submit" type="submit" onClick="document.menu.cmd.value='manage-session'" value="Submit">
    <input type="hidden" name="cmd" value="">


</TD>
</TR>
</TABLE>&nbsp;

</form>
<!-- ================================================================================================== -->
</p>
<table border="5" align="center" cellpadding="5" cellspacing="5">
	<tr>
		<td>
			<table align="center"    WIDTH=190>
				<font size="1">
				<!-- 3 MonthOfCalendars here ... -->
				<TR align=center><TD><font size="-2"> Year:<%= m.getYear() %> -  <%=m.getMonthInString()%></font></TD></TR>
				<TR><TD><font color="red" size="-2"><%=m.toStringInHTMLTable ("admin")%><% m.nextMonth();%>	</font></TD></TR>
				<TR align=center><TD><font size="-2"> Year:<%= m.getYear() %> -  <%=m.getMonthInString()%></font></TD></TR>
				<TR><TD NOWRAP><font size="-2"><%=m.toStringInHTMLTable ("admin")%><% m.nextMonth();%>	</font></TD></TR>
				<TR align=center><TD><font size="-2"> Year:<%= m.getYear() %> -  <%=m.getMonthInString()%></font></TD></TR>
				<TR><TD><font size="-2"><%=m.toStringInHTMLTable ("admin")%>				</font></TD></TR>
				</font>
			</TABLE>
		</td>
		<!-- ================================================================================================== -->
		<td>
			<table border="5" align="center" cellpadding="5" cellspacing="5">
				<tr>
					<td>
						<table  border="1" align="center" cellpadding="10">
							<tr><th colspan="4"> Session List  </th></tr>
							<tr><th>name</th><th>room</th><th>start time</th><th>end time</th></tr>

							<%
							for (int i=0; i < sessions.length; i++ ) {
								sess = sessions[i];
								sess.setUrl("admin?"+"cmd=get-session&");
							%>

							<tr>
							<td><%=sess.getHtml()%> &nbsp;</td>
							<td><%=sess.getSessionplace()%> &nbsp;</td>
							<td><%=sess.getSessionstart().toString()%> &nbsp;</td>
							<td><%=sess.getSessionend().toString()%> &nbsp;</td>
							</tr>

							<%
							}
							%>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<!-- ================================================================================================== -->
</body></html>