/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" import="cgl.globalmmcs.webserver.*" %>
<jsp:useBean id="room" class="cgl.globalmmcs.webserver.RoomBean" />
<%
  room = (RoomBean)request.getAttribute("room");
%>
<html>
<head><LINK rel="stylesheet" type="text/css" href="full.css">
<title>
roominfo
</title>
</head>
<body>
<table  border="1" align="center" cellpadding="10">
<tr><td> Room ID </td>
<td><%=room.getRoomid()   %>
</td></tr>
<tr><td> Community ID </td>
<td><%=room.getCommunityid() %>
</td></tr>
<tr><td> Room Name </td>
<td><%=room.getRoomname() %>
</td></tr>
<tr><td> Room Addr </td>
<td><%=room.getRoomaddr() %>
</td></tr>
</table>
<form  name="menu" method="post" action="/globalmmcs/admin">
<TABLE BORDER=0 ALIGN="center" CELLPADDING=5 CELLSPACING=0>
<TR>
<input
   align="center"
   src         = "graphics/edit_off.gif"
   onmouseover = "this.src='graphics/edit_on.gif'"
   onmouseout  = "this.src='graphics/edit_off.gif'"
   type        = "image"
   value       = "edit"
   onClick     = "document.menu.cmd.value= 'edit-room'">

</TR>
<TR>

<input
   align="center"
   src         = "graphics/delete_off.gif"
   onmouseover = "this.src='graphics/delete_on.gif'"
   onmouseout  = "this.src='graphics/delete_off.gif'"
   type        = "image"
   value       = "delete"
   onClick     = "document.menu.cmd.value= 'delete-room'">


</TR>
<TR>
<input
    type="submit"
    name="SyncRoom"
    value="Sync Room"
    onClick="document.menu.cmd.value='sync-room'">

<input type="hidden" name="cmd" value="">
<input type="hidden" name="id"  value=<%=room.getRoomid()%> >
<input type="hidden" name="roomid" value=<%=room.getRoomid()%> >
</TR>
</TABLE>
</form>
</body>
</html>
