# Host: complexity.ucs.indiana.edu
# Database: av_test
# Table: 'communities'
# 
CREATE TABLE `communities` (
  `ID` varchar(50) NOT NULL default '',
  `NAME` varchar(50) default '',
  `TYPE` varchar(50) default '',
  `ADDR` varchar(50) default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM; 

# Host: complexity.ucs.indiana.edu
# Database: av_test
# Table: 'rooms'
# 
CREATE TABLE `rooms` (
  `ROOMID` varchar(50) NOT NULL default '',
  `COMMUNITYID` varchar(50) default '',
  `NAME` varchar(50) default '',
  `ADDR` varchar(50) default '',
  `TYPE` varchar(50) default '',
  `STATUS` varchar(50) default '',
  PRIMARY KEY  (`ROOMID`)
) TYPE=MyISAM; 

# Host: complexity.ucs.indiana.edu
# Database: av_test
# Table: 'sessions'
# 
CREATE TABLE `sessions` (
  `SESSIONID` varchar(50) NOT NULL default '',
  `NAME` varchar(50) default NULL,
  `OWNER` varchar(50) default NULL,
  `CHAIR` varchar(50) default NULL,
  `DES` varchar(50) default NULL,
  `STARTTIME` timestamp(14) NOT NULL,
  `ENDTIME` timestamp(14) NOT NULL,
  `PLACE` varchar(50) default NULL,
  PRIMARY KEY  (`SESSIONID`)
) TYPE=MyISAM; 

# Host: complexity.ucs.indiana.edu
# Database: av_test
# Table: 'users'
# 
CREATE TABLE `users` (
  `USERID` varchar(50) NOT NULL default '',
  `PASSWD` varchar(50) default NULL,
  `USERNAME` varchar(50) default NULL,
  `TYPE` varchar(50) default NULL,
  `EMAIL` varchar(50) default NULL,
  `TELEPHONE` varchar(50) default NULL,
  PRIMARY KEY  (`USERID`)
) TYPE=MyISAM; 

