/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*" %>
<html>
<head><LINK rel="stylesheet" type="text/css" href="full.css"><title>xgsp_conf</title></head>
<body>
<h1>
XGSP Configuration File
</h1>
<%
   XGSPConfiguration xgsp_conf = XGSPConfiguration.getInstance();
   String H323GW = xgsp_conf.getH323GW();
   String SIPGW = xgsp_conf.getSIPGW();
   String Sv_Addr = xgsp_conf.getSessionSv();
   String DB_Path = xgsp_conf.getDataBaseName();
   String NB_Addr = xgsp_conf.getNBAddr();
   String NB_Port = xgsp_conf.getNBPort();
%>
<form name="menu" method="post" action="/globalmmcs/admin">
<TABLE ALIGN=ABSCENTER BORDER=0 CELLSPACING=0 CELLPADDING=5>
  <TR>
    <TD width="125"><FONT COLOR=#400040> H323 Gateway Addr <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="xgsp_addr" VALUE="<%=H323GW%>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040> SIP Gateway Addr <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="sip_addr" VALUE="<%=SIPGW%>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040> Session Server <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="sess_addr" VALUE="<%=Sv_Addr%>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040> DataBase Path <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="database" VALUE="<%=DB_Path%>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040> NaradaBroker Address <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="nb_addr" VALUE="<%=NB_Addr%>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040> NaradaBroker Port <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="nb_port" VALUE="<%=NB_Port%>" SIZE=20></TD>
  </TR>
</Table>

<input type="submit" name="Submit" value="Submit" onClick="document.menu.cmd.value='conf-xgsp'">
<input type="reset"  value="Reset">
<input type="hidden" name="cmd" value="">

</form>

</body>
</html>
