package cgl.globalmmcs.webserver.admin;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

import cgl.globalmmcs.webserver.*;


public class XgspconfExec implements Command {
	private String next;

	public XgspconfExec (String next) {
		this.next = next;
	}


	public String execute (HttpServletRequest req) throws CommandException {
		String xgsp_addr = (String) req.getParameter ("xgsp_addr");
		String sv_addr = (String) req.getParameter ("sess_addr");
		String database_url = (String) req.getParameter ("databaseURL");
		String database_addr = (String) req.getParameter ("database");
		String sip_addr = (String) req.getParameter ("sip_addr");

		XGSPConfiguration xgsp_conf = XGSPConfiguration.getInstance ();

		xgsp_conf.setH323GW (xgsp_addr);
		xgsp_conf.setSIPGW (sip_addr);
		xgsp_conf.setSessionSv (sv_addr);
		xgsp_conf.setDataBaseURL (database_url);
		xgsp_conf.setDataBaseName (database_addr);

		req.setAttribute ("xgsp_addr", xgsp_addr);
		req.setAttribute ("sip_addr", sip_addr);
		req.setAttribute ("sess_addr", sv_addr);
		req.setAttribute ("database_addr", database_addr);
		return next;
	}
}