/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*"%>
<jsp:useBean id="sess" class="cgl.globalmmcs.webserver.SessionBean" />
<%
   SessionBean [] sessions = ( SessionBean[] )request.getAttribute("sessions");
   SessionBean [] waitSess = ( SessionBean[] )request.getAttribute("wait_sess");
%>
<html>
<head><LINK rel="stylesheet" type="text/css" href="full.css">
<title>
SelActiveSess
</title>
<!-- Java Script -->
<Script>
function startStreamingAdmin(){
   document.menu.cmd.value="monitor-session";
   window.open('http://localhost:8080/globalmmcs/StreamingAdmin.jsp?sessionID=ourtestroom','popname',
               'scrollbars=0,menubar=0,resizable=0,status=0,width=650,height=700');

}
</Script>
</head>
<body>
<form name="menu" method="post" action="/globalmmcs/admin">
  <table  border="1" align="center" cellpadding="10">
  <tr><th colspan="5"> Active Session List  </th></tr>
    <tr><th></th><th>name</th><th>room</th><th>start time</th><th>end time</th></tr>
    <%
  	for (int i=0; i < sessions.length; i++ ) {
    		sess = sessions[i];
    %>
   <tr>
   <td>
   <input type="radio" name="sessionid" value="<%=sess.getSessionid()%>">
   </td>
   <td><%=sess.getSessionid()%></td>
   <td><%=sess.getSessionplace()%></td>
   <td><%=sess.getSessionstart().toString()%></td>
   <td><%=sess.getSessionend().toString()%></td>
   </tr>
<% } %>
</table>
<table align="center">
<tr>
<td><input type="submit" name="LinkSession" value="LinkSession" onClick="document.menu.cmd.value='link-session'"></td>
<td><input type="submit" name="MixVideo" value="MixVideo" onClick="document.menu.cmd.value='manage-mixer'"></td>
<td><input type="submit" name="StreamingAdmin" value="StreamingAdmin" onClick="startStreamingAdmin()"></td>
</tr>
</table>
<input type="hidden" name="cmd" value="">
<table  border="1" align="center" cellpadding="10">
<tr><th colspan="4"> Waiting Session List  </th></tr>
    <tr><th>name</th><th>room</th><th>start time</th><th>end time</th></tr>
    <%
          for (int i=0; i < waitSess.length; i++ ) {
                    SessionBean tmpsess = waitSess[i];
    %>
   <tr>
   <td><%=tmpsess.getSessionid()%></td>
   <td><%=tmpsess.getSessionplace()%></td>
   <td><%=tmpsess.getSessionstart().toString()%></td>
   <td><%=tmpsess.getSessionend().toString()%></td>
   </tr>
<% } %>
</table>
</body>
</html>
