/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<!--
 * This is an interface provided to RealStream Admins to let them generate
 * RealStreams from the streams in the session and let them delete RealStreams
 * that are already generated. RealStream admin can also play the RealStreams.
 * @author Hasan Bulut  - hbulut@indiana.edu
 * Community Grids Lab., Indiana University
 * @version 1.0
-->
<%@ page contentType="text/html" language="java" import="cgl.globalmmcs.webserver.*"%>
<%
   XGSPConfiguration xgsp_conf = XGSPConfiguration.getInstance();

   String sess_id    = (String)request.getParameter("sessionID");
   String NB_Addr    = xgsp_conf.getNBAddr();
   String NB_Port    = "3045";
   String Helix_Addr = xgsp_conf.getHelixSvr();
   String Helix_Port = xgsp_conf.getHelixPort();
   String RG_Addr    = xgsp_conf.getRealGW();
%>
<html>
<head>
<title>
Streaming Admin
</title>
<OBJECT ID="RealOneActiveXObject" WIDTH=0 HEIGHT=0 CLASSID="CLSID:FDC7A535-4070-4B92-A0EA-D9994BCC0DC5">
</OBJECT>
<script>
<!--
function PlayClip(url) {
    RealOneActiveXObject.PlayClip(url)
}
//-->
</script>

</head>
<body bgcolor="#6C92B7" text="#000000">
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#6C92B7" width="77%" id="AutoNumber1">
  <tr>
    <td width="27%">
    <img border="0" src="smallLOGO.gif" width="100" height="90"></td>
    <td width="73%">
    <p align="center"><font size="6">Streaming Admin</font></td>
  </tr>
</table>
<applet ARCHIVE="StreamingAdmin.jar, xerces.jar, jms.jar, Sonic.jar, NaradaBrokering.jar"
  codebase = "applet"
  code     = "cgl.globalmmcs.streaming.admin.StreamingAdmin.class"
  name     = "TestApplet"
  width    = "650"
  height   = "610"
  hspace   = "0"
  vspace   = "10"
  align    = "center"
>
</applet>
<param name = "sessionID"        value = "<%=sess_id%>">
<param name = "brokerAddr"       value = "<%=NB_Addr%>">
<param name = "brokerPort"       value = "<%=NB_Port%>">
<param name = "helixServerAddr"  value = "<%=Helix_Addr%>">
<param name = "helixServerPort"  value = "<%=Helix_Port%>">
<param name = "realGatewayAddr"  value = "<%=RG_Addr%>">

</body>
</html>
