/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" import="cgl.globalmmcs.webserver.*"%>
<jsp:useBean id="user" class="cgl.globalmmcs.webserver.UserBean" scope="request" />

<html><head><title>adduser</title><LINK rel="stylesheet" type="text/css" href="full.css"></head><body>


   <SCRIPT LANGUAGE=JAVASCRIPT  TYPE="TEXT/JAVASCRIPT">

   function validateForm(menu){

    if(menu.userid.value == ""){
      alert("you must enter a userid!")
      menu.userid.focus()
      return false
    }

    if(menu.username.value == ""){
      alert("you must enter a username!")
      menu.username.focus()
      return false
    }

    if(menu.passwd.value == ""){
      alert("you must enter a password!")
      menu.passwd.focus()
      return false
    }
    if(menu.passwd2.value == ""){
      alert("you must enter the password again!")
      menu.passwd2.focus()
      return false
    }
    if(menu.passwd.value != menu.passwd2.value){
      alert("two passwords you have entered are not the same, please enter again.")
      menu.passwd.focus()
      return false
    }

    if(menu.usertype.value == ""){
      alert("you must enter a usertype!")
      menu.usertype.focus()
      return false
    }

    if(menu.emailaddr.value == ""){
      alert("you must enter a emailaddr!")
      menu.emailaddr.focus()
      return false
    }

    if(menu.telephone.value == ""){
      alert("you must enter a telephone!")
      menu.telephone.focus()
      return false
    }

    return true
  }
  </SCRIPT>

<form name="menu" method="post" action="/globalmmcs/admin"  onSubmit = "return validateForm(this)">
<p>Please fill out the form below.</p>

<table align="center"     BORDER=0 CELLSPACING=0 CELLPADDING=5>
  <TR>	<TD width="125">User ID </FONT></TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="userid"
		VALUE="<jsp:getProperty name="user" property="userid"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">passwd </FONT></TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="password" NAME="passwd"
		VALUE="<jsp:getProperty name="user" property="passwd"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">passwd, again </FONT></TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="password" NAME="passwd2"
		VALUE="<jsp:getProperty name="user" property="passwd"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">User Name</TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="username"
		VALUE="<jsp:getProperty name="user" property="username"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">usertype</TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="usertype"
		VALUE="<jsp:getProperty name="user" property="usertype"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">emailaddr</TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="emailaddr"
		VALUE="<jsp:getProperty name="user" property="emailaddr"/>" SIZE=20></TD></TR>

  <TR>	<TD width="125">telephone</TD>
	<TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="telephone"
		VALUE="<jsp:getProperty name="user" property="telephone"/>" SIZE=20></TD></TR>
</TABLE>	&nbsp;

<table align="center"    BORDER=0  CELLPADDING=5 CELLSPACING=0>
  <TR>	<TD width="129">

<input
   align = "center" src         = "graphics/save_off.gif"
   onmouseover = "this.src='graphics/save_on.gif'"
   onmouseout  = "this.src='graphics/save_off.gif'"
   type        = "image" value       = "Add"
   onClick     = "document.menu.cmd.value= 'add-user'">
</TD>
	<input type="hidden" name="cmd" value="">
  </TR>
</TABLE>&nbsp;
</form>

</body></html>
