/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" import="cgl.globalmmcs.webserver.*" %>
<jsp:useBean id="room" class="cgl.globalmmcs.webserver.RoomBean" scope="request" />
<html>
<head><LINK rel="stylesheet" type="text/css" href="full.css">
<title>
editroom
</title>
</head>

<body>

   <SCRIPT LANGUAGE=JAVASCRIPT  TYPE="TEXT/JAVASCRIPT">

   function validateForm(menu){

    if(menu.roomid.value == ""){
      alert("you must enter a roomid!")
      menu.roomid.focus()
      return false
    }
    if(menu.communityid.value == ""){
      alert("you must enter a communityid!")
      menu.communityid.focus()
      return false
    }

    if(menu.roomname.value == ""){
      alert("you must enter a roomname!")
      menu.roomname.focus()
      return false
    }
    if(menu.roomtype.value == ""){
      alert("you must enter a roomtype!")
      menu.roomtype.focus()
      return false
    }

    if(menu.AIPAddr.value == ""){
      alert("you must enter a AIPAddr!")
      menu.AIPAddr.focus()
      return false
    }

    if(menu.AIPPort.value == ""){
      alert("you must enter a AIPPort!")
      menu.AIPPort.focus()
      return false
    }

    if(menu.AMediaFormat.value == ""){
      alert("you must enter a AMediaFormat!")
      menu.AMediaFormat.focus()
      return false
    }



    if(menu.VIPAddr.value == ""){
      alert("you must enter a VIPAddr!")
      menu.VIPAddr.focus()
      return false
    }


    if(menu.VIPPort.value == ""){
      alert("you must enter a VIPPort!")
      menu.VIPPort.focus()
      return false
    }


    if(menu.VMediaFormat.value == ""){
      alert("you must enter a VMediaFormat!")
      menu.VMediaFormat.focus()
      return false
    }

    return true
  }
  </SCRIPT>

<form name="menu" method="post" action="/globalmmcs/admin" onSubmit = "return validateForm(this)">
<p>Please fill out the form below.</p>
<TABLE ALIGN="center" BORDER=0 CELLSPACING=0 CELLPADDING=5>
  <TR>
    <TD width="125"><FONT COLOR=#400040>Room ID <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="roomid"
        VALUE="<jsp:getProperty name="room" property="roomid"/>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><FONT COLOR=#400040>Community ID <font color="#FF0000">*</font></FONT></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="communityid"
        VALUE="<jsp:getProperty name="room" property="communityid"/>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><font color="#400040">Room Name</font></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="roomname"
        VALUE="<jsp:getProperty name="room" property="roomname"/>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><font color="#400040">Room Type<font color="#FF0000">*</font></font></TD>
    <TD width="184" COLSPAN=2 ALIGN=left><INPUT TYPE="text" NAME="roomtype"
        VALUE="<jsp:getProperty name="room" property="roomtype"/>" SIZE=20></TD>
  </TR>
  <TR>
    <TD width="125"><font color="#400040">Room Addr</font></TD>

    <!-- Media Description Table for this Room -->
    <TABLE ALIGN="center" BORDER=1 CELLSPACING=0 CELLPADDING=5>
      <tr><th colspan="4"> Room Media Desicription  </th></tr>
      <TR>
      <Th> MediaType </Th><Th> IPAddr </Th><Th> Port </Th><Th> MediaFormt </Th>
      </TR>
      <TR>
       <TD> Audio </TD>
       <TD> <INPUT TYPE="text" NAME="AIPAddr" VALUE="<%=room.getAudioIPAddr()%>" SIZE=20></TD>
       <TD> <INPUT TYPE="text" NAME="AIPPort"   VALUE="<%=room.getAudioPort()%>" SIZE=10></TD>
       <TD> <INPUT TYPE="text" NAME="AMediaFormat" VALUE="<%=room.getAudioFmt()%>" SIZE=10></TD>
      </TR>
      <TR>
      <TD> Video </TD>
       <TD> <INPUT TYPE="text" NAME="VIPAddr" VALUE="<%=room.getVideoIPAddr()%>" SIZE=20></TD>
       <TD> <INPUT TYPE="text" NAME="VIPPort"   VALUE="<%=room.getVideoPort()%>" SIZE=10></TD>
       <TD> <INPUT TYPE="text" NAME="VMediaFormat" VALUE="<%=room.getVideoFmt()%>" SIZE=10></TD>
      </TR>
    </TABLE>
  </TR>
</TABLE>
<p>&nbsp;</p><TABLE BORDER=0 ALIGN="center" CELLPADDING=5 CELLSPACING=0>
  <TR>
    <TD width="129">

<input
   align="center"
   src         = "graphics/update_off.gif"
   onmouseover = "this.src='graphics/update_on.gif'"
   onmouseout  = "this.src='graphics/update_off.gif'"
   type        = "image"
   value       = "update"
   onClick     = "document.menu.cmd.value= 'update-room'">

    </TD>
    <input type="hidden" name="cmd" value="">

  </TR>
</TABLE>
</form>

<p><font color="#400040"><font color="#FF0000">*</font></font> Requred Fields
</body>
</html>
