/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html; charset=windows-1252" language="java" %>
<%  String	sip_dial_addr = (String)request.getParameter("sip_addr"); %>
<HTML>
<HEAD>

<SCRIPT>
function DoPlaceCall()
{
  // Set screen name
    SetProperty('LocalUserName', MyForm.txtScreenName.value);

  // Set tunneling value
  // MyForm.objAudioTalk.UseTunneling = MyForm.rdoBehindFirewall[0].checked;

  // Place call using the SIP URL string from txtPlaceCallString
  PlaceCall(document.MyForm.txtPlaceCallString.value);
}

function DoHangUpCall()
{
  HangUpCall();
}
</SCRIPT>

<META content="MSHTML 6.00.2600.0" name=GENERATOR>
</HEAD>
<BODY>
<P><B>Call anyone on the Internet.</B></P>
<TABLE border=0>
  <TBODY>
  <TR>
    <TD vAlign=top rowSpan=2>
      <SCRIPT src="hearMe/hearmeclient.js"></SCRIPT>

      <SCRIPT>
     paramsArray =
     [
       "Width=200",
       "Height=400",
       "ClientType=6",
       "FirewallClient=FALSE",
       "HandsFree=TRUE"
     ];
     DisplayClient(paramsArray);
     </SCRIPT>
    </TD>
    <TD vAlign=top>Sip URL:<BR>
      <FORM name=MyForm><INPUT size=30 name=txtPlaceCallString value="<%= sip_dial_addr%>"  ><BR>
      <INPUT onclick=DoPlaceCall() type=button value=Call name=btnPlaceCall>
      <INPUT onclick=DoHangUpCall() type=button value="Hang up" name=btnHangUpCall>

      <P>Your Name:<BR>
      <INPUT name=txtScreenName value="test" ></P>
      </FORM>
    </TD>
 </TR>
</TBODY></TABLE>
</BODY>
</HTML>
