/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab or GlobalMMCS,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *5) Products derived from this software may not be called GlobalMMCS,
 * nor may Indiana University or Community Grids Lab or GlobalMMCS appear
 * in their name, without prior written permission of ARTI.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */<%@ page contentType="text/html" import="cgl.globalmmcs.webserver.*"%>
<jsp:useBean id="sess" class="cgl.globalmmcs.webserver.SessionBean" />
<%
   SessionRepository session_table = SessionRepository.getInstance();
   SessionBean[]  sessions = session_table.getSessions();
%>
<html>
<head>
<title>
schedule_cal
</title>
</head>
<body>
<jsp:useBean id="HtmlCal" scope="session" class="cgl.globalmmcs.webserver.htmlcalendarBean" />
<jsp:useBean id="HtmlCal0" scope="session" class="cgl.globalmmcs.webserver.htmlcalendarBean" />
<jsp:useBean id="HtmlCal1" scope="session" class="cgl.globalmmcs.webserver.htmlcalendarBean" />
<%!
    java.util.Date now = new java.util.Date();
    int month = now.getMonth()+1;
    int year  = now.getYear()+1900;
    int month0 = month - 1;
    int month1 = month + 1;
    int year0  = month0 < 0 ? year-1 : year;
    int year1  = month1 >= 12 ? year + 1 : year;

%>
<%
    HtmlCal.setMonth(month);
    HtmlCal.setStyle(2);
    HtmlCal.setYear(year);

    if ( month0 <= 0 ) month0=12;
    HtmlCal0.setMonth(month0);
    HtmlCal0.setStyle(2);
    HtmlCal0.setYear(year0);
    if ( month1 >=12 ) month1 = 1;
    HtmlCal1.setMonth(month1);
    HtmlCal1.setStyle(2);
    HtmlCal1.setYear(year1);

    for (int i=0; i < sessions.length; i++ ) {
    	sess = sessions[i];
    	int day = sess.getSessionstart().getDate();
    	int month_test = sess.getSessionstart().getMonth()+1;
    	int year_test =  sess.getSessionstart().getYear()+ 1900;
    	if ( month_test == month && year_test == year )
    		HtmlCal.setAction( day , "http://localhost:8082/globalmmcs/admin?cmd=find-session", "main");
    	if ( month_test == month0 && year_test == year0 )
    		HtmlCal0.setAction( day , "http://localhost:8082/globalmmcs/admin?cmd=find-session", "main");
    	if ( month_test == month1 && year_test == year1 )
    		HtmlCal1.setAction( day , "http://localhost:8082/globalmmcs/admin?cmd=find-session", "main");
    }

%>
<TABLE WIDTH=300 BACKGROUND=cyan>
	<TR align=center><TD> Meeting Calendar </TD></TR>
	<TR align=center><TD> Year <%=year0%> Month <%=month0%>  </TD></TR>
	<TR><TD>
	<%=HtmlCal0.getHtml()%>
	</TD></TR>
	<TR align=center><TD> Year <%=year%> Month <%=month%>  </TD></TR>
	<TR><TD NOWRAP>
  	<%=HtmlCal.getHtml()%>
  	</TD></TR>
  	<TR align=center><TD> Year <%=year1%> Month <%=month1%>  </TD></TR>
	<TR><TD>
	<%=HtmlCal1.getHtml()%>
	</TD></TR>
</TABLE>
</body>
</html>
