package cgl.globalmmcs.streaming.client;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;

import cgl.globalmmcs.sessionserver.messages.*;
import cgl.globalmmcs.sessionserver.messages.realgateway.*;
import cgl.globalmmcs.sessionserver.net.*;
import cgl.globalmmcs.sessionserver.util.*;

import java.awt.*;
import java.awt.event.*;

import java.io.*;

import java.net.*;

import java.util.*;

import javax.jms.*;

import javax.swing.*;
import javax.swing.event.*;

import netscape.javascript.*;
/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Indiana University</p>
 * @author Hasan Bulut
 * @version 1.1
 */

public class StreamingAdmin extends JFrame implements ActionListener,
                                                     ListSelectionListener,
                                                     StreamingClientI {
  private boolean isStandalone = false;
//  JFrame window = new JFrame();
  JSObject        m_JScriptWin;
  Applet applet;

    public JList       streamsList;
    private CardLayout cardManager;
    private CardLayout realCardManager;
    private Container  c;

    //  public LinkedList myStreamList;
    private DefaultListModel   lmrs;
    private DefaultListModel   lmsl;

    private GridBagConstraints gbc;
    private GridBagLayout      layout;

    private HashMap            realStreamMap    = null;
    private HashMap            streamMap        = null;

    private JButton            connectButton;
    private JButton            convertButton;
    private JButton            disconnectButton;
    private JList              realStreamsList;
    private JMSPublisher       jmsPublisher;
    private JOptionPane        dialog           = new JOptionPane();
    private JPanel             centerPanel;
    private JPanel             deck;
    private JPanel             realDeck;
    private JPanel             nhPanel;
    private JPanel             southPanel;
    private JPanel             westPanel;


    private JButton            convertAudioButton;
    private JButton            convertVideoButton;

    //  public LinkedList myRealStreamList;
    private JTextArea       msgArea;
    private JTextField      connectArea;
    private JmsProp         jmsProp     = new JmsProp();
    private LinkedList      ports       = new LinkedList();
    private Map             deckMap     = null;
    private Map             realDeckMap     = null;
    private RealJMSListener jmsListener;
    private String          clientID    = null;
    private String          helixAddress  = "156.56.104.97";
    private String          realGWAddress = "156.56.104.68";
    private String sessionID = null;
    private int    helixPort = 6060;


    private boolean admin = true;

    private LinkedList sessionIDList = new LinkedList();


  //Initialize the applet
  public StreamingAdmin(Applet japplet) {
    super();
    applet = japplet;
    m_JScriptWin = JSObject.getWindow(applet);

    setTitle("Streaming Admin");

    for (int i = 0; i < 300; i++) {
      ports.add(Integer.toString(45000 + i * 2));
    }
    streamMap     = new HashMap();
    deckMap       = Collections.synchronizedMap(new HashMap());
    realDeckMap       = Collections.synchronizedMap(new HashMap());
    realStreamMap = new HashMap();
    //    Random rnd    = new Random((new Date()).getTime());
    try {
      clientID = InetAddress.getLocalHost().getHostAddress();
    } catch (UnknownHostException ex) {
    }
    clientID = "realstreaming@" + clientID;
    System.out.println("clientID:" + clientID);
    layout = new GridBagLayout();
    c      = getContentPane();
    c.setLayout(layout);
    gbc = new GridBagConstraints();

    cardManager = new CardLayout();
    deck        = new JPanel();
    deck.setLayout(cardManager);
    deck.setPreferredSize(new Dimension(300, 250));
    deck.setBackground(Color.pink);

    lmsl        = new DefaultListModel();
    streamsList = new JList(lmsl);
    streamsList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    streamsList.addListSelectionListener(this);
    streamsList.setVisibleRowCount(15);
//    streamsList.setPreferredSize(new Dimension(250, 5));

    realCardManager = new CardLayout();
    realDeck        = new JPanel();
    realDeck.setLayout(realCardManager);
    realDeck.setPreferredSize(new Dimension(300, 250));
    realDeck.setBackground(Color.pink);

    lmrs            = new DefaultListModel();
    realStreamsList = new JList(lmrs);
    realStreamsList.addListSelectionListener(this);
    realStreamsList.setVisibleRowCount(15);
//    realStreamsList.setPreferredSize(new Dimension(250, 5));

    msgArea     = new JTextArea(15, 25);
    connectArea = new JTextField(15);

    JPanel nrtPanel = new JPanel(new FlowLayout(FlowLayout.LEFT));
    nrtPanel.add(new JLabel("Session:"));
    nrtPanel.setBackground(Color.blue);
    nrtPanel.add(connectArea);
    connectButton = new JButton("Connect");
    connectButton.addActionListener(this);
    nrtPanel.add(connectButton);

    disconnectButton = new JButton("Disconnect");
    disconnectButton.addActionListener(this);
    nrtPanel.add(disconnectButton);

    southPanel  = new JPanel(new BorderLayout());
    centerPanel = new JPanel(new BorderLayout());
    westPanel   = new JPanel(new BorderLayout());

    JPanel jtemp = new JPanel(new FlowLayout(FlowLayout.LEFT));
    jtemp.setBackground(Color.pink);

    JLabel streamListLabel = new JLabel("Stream List");
    jtemp.add(streamListLabel);

    convertAudioButton = new JButton("Convert Session Audio");
    convertAudioButton.addActionListener(this);
//    jtemp.add(convertAudioButton);

    convertVideoButton = new JButton("Convert Video Source");
    convertVideoButton.addActionListener(this);
    jtemp.add(convertVideoButton);

    JButton refreshSteamButton = new JButton("Refresh Stream Image");
    refreshSteamButton.addActionListener(this);
    jtemp.add(refreshSteamButton);

    JButton initRGButton = new JButton("Initialize RealGateway");
    initRGButton.addActionListener(this);
    jtemp.add(initRGButton);


    JScrollPane strScrollPane = new JScrollPane();
    strScrollPane.setPreferredSize(new Dimension(300, 250));
    strScrollPane.getViewport().add(streamsList);
    strScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    strScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);


    centerPanel.setBackground(Color.pink);
    centerPanel.add(jtemp, BorderLayout.NORTH);

//    centerPanel.add(strScrollPane, BorderLayout.SOUTH);

    JPanel jtt = new JPanel(new BorderLayout());
    jtt.setBackground(Color.pink);

//    JLabel jtempLabel = new JLabel("           ");
//    convertButton = new JButton("Convert Stream");
//    convertButton.addActionListener(this);
//    jtt.add(convertButton, BorderLayout.NORTH);

//    JLabel jlb1 = new JLabel("        ");
//    jlb1.setBackground(Color.pink);
//    jtt.add(jlb1, BorderLayout.NORTH);

//    deck.setPreferredSize(new Dimension(250, 200));

    jtt.add(strScrollPane, BorderLayout.WEST);
    jtt.add(deck, BorderLayout.CENTER);

    JPanel jtt2 = new JPanel(new BorderLayout());
    jtt2.setBackground(Color.pink);
//    jtt2.add(jtempLabel, BorderLayout.NORTH);
    jtt2.add(jtt, BorderLayout.CENTER);

    westPanel.setBackground(Color.pink);
    centerPanel.add(jtt2, BorderLayout.CENTER);
    westPanel.add(centerPanel, BorderLayout.WEST);
//    westPanel.add(jtt2, BorderLayout.EAST);

    southPanel.setBackground(Color.pink);

    JPanel jtemp1 = new JPanel(new BorderLayout());
    JPanel jtemp2 = new JPanel(new FlowLayout(FlowLayout.LEFT));
    jtemp2.add(new Label("RealStream List")); //, BorderLayout.NORTH);
    JButton playButton = new JButton("Play");
    playButton.addActionListener(this);
    jtemp2.add(playButton); //, BorderLayout.EAST);
    JButton deleteButton = new JButton("Delete");
    deleteButton.addActionListener(this);
    jtemp2.add(deleteButton); //, BorderLayout.EAST);

    JButton refreshRealSteamButton = new JButton("Refresh RealStream Image");
    refreshRealSteamButton.addActionListener(this);
    jtemp2.add(refreshRealSteamButton);


    jtemp2.setBackground(Color.pink);
    jtemp1.add(jtemp2, BorderLayout.NORTH);

    JScrollPane strScrPane = new JScrollPane();
    strScrPane.setPreferredSize(new Dimension(300, 250));
    strScrPane.getViewport().add(realStreamsList);
    strScrPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    strScrPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);

    jtemp1.add(strScrPane, BorderLayout.WEST);
    jtemp1.add(realDeck, BorderLayout.CENTER);
    jtemp1.setBackground(Color.pink);
    southPanel.add(jtemp1, BorderLayout.CENTER);

    JPanel leftPanel = new JPanel(new BorderLayout());
    leftPanel.add(nrtPanel, BorderLayout.NORTH);
    leftPanel.add(westPanel, BorderLayout.CENTER);
    leftPanel.add(southPanel, BorderLayout.SOUTH);


    gbc.fill = GridBagConstraints.BOTH;
    getContentPane().add(leftPanel);
//    window.getContentPane().add(leftPanel);

//    addComponent(leftPanel, 0, 0, 1, 1);
    //add(window);
  setSize(700, 500);

//    this.setResizable(false);
 //   window.setVisible(true);
 //   repaint();
// addComponent(window, 0, 0, 1, 1);
 pack();
 show();
// window.pack();
// window.show();
// this.setVisible(true);
//*
//    System.out.println("topic:" + jmsProp.getPublicationTopics());
/*
 System.out.println("hello");
    jmsPublisher = new JMSPublisher(jmsProp.getBroker(), jmsProp.getPort(),
                                    jmsProp.getConnectID(),
                                    jmsProp.getUsername(),
                                    jmsProp.getPassword(),
                                    jmsProp.getPublicationTopics());
    //    jmsPublisher.setTopic("test");
    System.out.println("topic name:" + jmsPublisher.getTopicName());
    //*/
//    jmsPublisher.connect();
//*/
  }

  //~ Methods ------------------------------------------------------------------
/*
  public void pack() {
    this.pack();
//    this.window.pack();
  }
  public void repaint() {
    this.repaint();
//  this.window.repaint();
}
//*/
  /**
   * DOCUMENT ME!
   *
   * @param clientID DOCUMENT ME!
   */
  public void setClientID(String clientID) {
    this.clientID = clientID;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public String getClientID() {
    return clientID;
  }

  /**
   * DOCUMENT ME!
   *
   * @param deck DOCUMENT ME!
   */
  public void setDeck(JPanel deck) {
    this.deck = deck;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JPanel getDeck() {
    return deck;
  }

  /**
   * DOCUMENT ME!
   *
   * @param deckMap DOCUMENT ME!
   */
  public void setDeckMap(Map deckMap) {
    this.deckMap = deckMap;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public Map getDeckMap() {
    return deckMap;
  }

  /**
   * DOCUMENT ME!
   *
   * @param se DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JPanel getEventFrame(StreamEvent se) {
    JPanel jp = new JPanel(new BorderLayout());

    //    URL iconURL = ClassLoader.getSystemResource(se.getImagePath());
    //    ImageIcon imgIcon = new ImageIcon(se.getImagePath());
    ImageIcon imgIcon = new ImageIcon();
    String    str = "Username : " + se.getClient().getUsername() + "\n";
    str += "SessionID  : "+se.getSessionID()+"\n";
    str += "Description: " + se.getClient().getDescription() + "\n";
    str += "SSRC          : " + se.getClient().getSSRC() + "\n";
    JLabel jl = new JLabel();
    if (!se.getImagePath().equalsIgnoreCase("null")) {
      try {
        imgIcon = new ImageIcon(new URL(se.getImagePath()));
        System.out.println("str:\n" + str);
        Image  img = imgIcon.getImage();
        double db = (double) imgIcon.getIconWidth() / (double) imgIcon.getIconHeight();

        //    System.out.println("db:"+db);
        int height = 145;
        int width = Math.round(((float) (height * db)));
        img = img.getScaledInstance(width, height, Image.SCALE_SMOOTH);
        imgIcon.setImage(img);
        jl = new JLabel(imgIcon);
      } catch (MalformedURLException ex) {
        System.out.println("img path:" + se.getImagePath());
        ex.printStackTrace();
      }
    } else {
      jl = new JLabel("Image Not Available");
    }
    //    jl.setPreferredSize(new Dimension(1, 1));
    jp.add(jl, BorderLayout.CENTER);
    JTextArea jt = new JTextArea(str);
    jp.add(jt, BorderLayout.SOUTH);
    jp.setSize(300, 90);
    return jp;
  }


  public JPanel getEventFrame(RealStreamEvent rse) {
    JPanel jp = new JPanel(new BorderLayout());

    //    URL iconURL = ClassLoader.getSystemResource(se.getImagePath());
    //    ImageIcon imgIcon = new ImageIcon(se.getImagePath());
    ImageIcon imgIcon = new ImageIcon();
    Client cl = new Client();
    cl = rse.getClient();
//    StreamEvent se = new StreamEvent();
//*
//    se = (StreamEvent)streamMap.get(rse.getStreamID());
//*/
    JLabel jl = new JLabel();
    String str = "Stream not found";
    if(cl != null) {
      str = "Username : " + cl.getUsername() + "\n";
      str += "SessionID  : "+rse.getSessionID()+"\n";
      str += "Description: " + cl.getDescription() + "\n";
      str += "SSRC          : " + cl.getSSRC() + "\n";
      str += "RTSP Link     : " + rse.getRtspLink() + "\n";
//      if (rse.getImagePath() != null) {
        if (!rse.getImagePath().equalsIgnoreCase("null")) {
          try {
            imgIcon = new ImageIcon(new URL(rse.getImagePath()));
            System.out.println("str:\n" + str);
            Image img = imgIcon.getImage();
            double db = (double) imgIcon.getIconWidth() /
                (double) imgIcon.getIconHeight();

            //    System.out.println("db:"+db);
            int height = 145;
            int width = Math.round( ( (float) (height * db)));
            img = img.getScaledInstance(width, height, Image.SCALE_SMOOTH);
            imgIcon.setImage(img);
            jl = new JLabel(imgIcon);
          }
          catch (MalformedURLException ex) {
            System.out.println("img path:" + rse.getImagePath());
            ex.printStackTrace();
          }
        }

      else {
        jl = new JLabel("Image Not Available");
      }
    } else {
        jl = new JLabel("Image Not Available");
      }

    //    jl.setPreferredSize(new Dimension(1, 1));
    jp.add(jl, BorderLayout.CENTER);
    JTextArea jt = new JTextArea(str);
    JScrollPane scrTemp = new JScrollPane(jt);
    scrTemp.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    scrTemp.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    jp.add(scrTemp, BorderLayout.SOUTH);
    jp.setSize(300, 90);
    return jp;
  }


  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JoinStream getJoinAudioStream() {
    JoinStream js = new JoinStream(sessionID);
    js.setClientID(clientID);
    String streamid = sessionID + "Audio";
    js.setStreamID(streamid);
    js.setMediaDesc(this.getMediaDescription("Audio"));
    Input inp = new Input();
    inp.broadcastAddress = helixAddress;
    inp.isAudio          = 1;
    inp.isVideo          = 0;
    inp.jmfReceiverIP    = realGWAddress;
    inp.jmfReceiverPort  = js.getMediaDesc().getTransport().getPortNo();
    inp.streamName       = streamid+".rm";
    inp.helixPortNo      = helixPort;
    inp.title            = sessionID + " Audio Stream";
    js.setInp(inp);
    return js;
  }

  public LeaveStream getLeaveAudioStream() {
      LeaveStream ls = new LeaveStream(sessionID);
      ls.setClientID(clientID);
      ls.setStreamID(sessionID+"Audio");
      return ls;
  }

  /**
   * DOCUMENT ME!
   *
   * @param streamid DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JoinStream getJoinVideoStream(String streamid) {
    JoinStream js = new JoinStream(((StreamEvent)streamMap.get(streamid)).getSessionID());
//    JoinStream js = new JoinStream(((StreamEvent)streamMap.get(streamid)).getSessionID());
    js.setClientID(clientID);
    js.setStreamID(streamid);
    js.setMediaDesc(this.getMediaDescription("Video"));
    Input inp = new Input();
    inp.broadcastAddress = helixAddress;
    inp.isAudio          = 0;
    inp.isVideo          = 1;
    inp.jmfReceiverIP    = realGWAddress;
    inp.jmfReceiverPort  = js.getMediaDesc().getTransport().getPortNo();
    inp.streamName       = streamid + ".rm";
    inp.helixPortNo      = helixPort;
    inp.title            = streamid + " Video Stream";
    js.setInp(inp);
    js.setClient((Client)((StreamEvent)streamMap.get(streamid)).getClient());
    return js;
  }

  public LeaveStream getLeaveVideoStream(String streamid) {
//    LeaveStream ls = new LeaveStream(sessionID);
    LeaveStream ls = new LeaveStream(((StreamEvent)streamMap.get(streamid)).getSessionID());
    ls.setClientID(clientID);
    ls.setStreamID(streamid);
    return ls;
  }


  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public DefaultListModel getLmrs() {
    return lmrs;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public DefaultListModel getLmsl() {
    return lmsl;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public MediaDescription getMediaDescription(String mdType) {
    MediaDescription md = new MediaDescription();
    md.setMediaType(mdType);
    LinkedList ls = new LinkedList();
    if (mdType.equalsIgnoreCase("Audio")) {
      ls.add("ULAW");
    } else if (mdType.equalsIgnoreCase("Video")) {
      ls.add("H261");
    }
    md.setMediaFormat(ls);
    md.setTransport(new Transport(realGWAddress,
                                  Integer.parseInt(ports.removeFirst().toString())));
    return md;
  }

  /**
   * DOCUMENT ME!
   *
   * @param realStreamMap DOCUMENT ME!
   */
  public void setRealStreamMap(HashMap realStreamMap) {
    this.realStreamMap = realStreamMap;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public HashMap getRealStreamMap() {
    return realStreamMap;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JList getRealStreamsList() {
    return realStreamsList;
  }

  /**
   * DOCUMENT ME!
   *
   * @param ss DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JPanel setStreamEvent(StreamEvent ss) {
    JPanel jp = getEventFrame(ss);
    return jp;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public HashMap getStreamMap() {
    return streamMap;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public JList getStreamsList() {
    return streamsList;
  }

  /**
   * DOCUMENT ME!
   *
   * @param e DOCUMENT ME!
   */
  public void actionPerformed(ActionEvent e) {
    if (e.getActionCommand().equals("Connect")) {
      connectSession();
      //*
      requestAllStreams();
      try {
        Thread.currentThread().sleep(5000);
      }
      catch (InterruptedException ex) {
      }
      requestRealStreams();
//      pack();
      this.setVisible(true);
      //*/
    } else if (e.getActionCommand().equals("Disconnect")) {
      int i = dialog.showConfirmDialog(this,
                                       "Do you want to disconnect session?");
      if (i == JOptionPane.YES_OPTION) {
        System.out.println("answer is yes");
        disconnectSession();
        lmsl.removeAllElements();
        deck.removeAll();
        deckMap.clear();
//        pack();
        this.setVisible(true);
        pack();
//        window.pack();
      } else if ((i == JOptionPane.NO_OPTION) ||
                 (i == JOptionPane.CANCEL_OPTION)) {
        System.out.println("answer is no or cancel");
      }
    } else if (e.getActionCommand().equals("Delete")) {
      int i = dialog.showConfirmDialog(this, "Do you want to delete stream?");
      if (i == JOptionPane.YES_OPTION) {
        System.out.println("answer is yes");
        if (realStreamsList.getSelectedValue() != null) {
          String tmp = realStreamsList.getSelectedValue().toString();
          if(tmp.endsWith("Audio")) {
            this.deleteRealAudioStream();
          } else {
            this.deleteRealVideoStream(tmp);
          }
        } else {
          System.out.println("real stream not selected");
        }
      } else if ((i == JOptionPane.NO_OPTION) ||
                 (i == JOptionPane.CANCEL_OPTION)) {
        System.out.println("answer is no or cancel");
      }
    } else if (e.getActionCommand().equals("Convert Video Source")) {
      if (streamsList.getSelectedValue() != null) {
        String tmp = streamsList.getSelectedValue().toString();
        this.convertVideoSource(tmp);
      } else {
        System.out.println("video source not selected");
      }
    } else if (e.getActionCommand().equals("Convert Session Audio")) {
        this.convertSessionAudio();
    } else if (e.getActionCommand().equals("Play")) {
        String tmp = realStreamsList.getSelectedValue().toString();
//        String link = realStreamMap.get(tmp).toString();
        String link = ((RealStreamEvent)realStreamMap.get(tmp)).getRtspLink();
        System.out.println("rtsp link: "+link);
        String[] Arguments = {link};
        m_JScriptWin.call("PlayClip", Arguments);
    } else if (e.getActionCommand().equals("Refresh Stream Image")) {
      String streamkey = streamsList.getSelectedValue().toString();
      StreamEvent se = (StreamEvent)streamMap.get(streamkey);
      JPanel jp1 = (JPanel)deckMap.remove(streamkey);
      deck.remove(jp1);
//      lmsl.removeElement(streamkey);
      streamsList.clearSelection();

      JPanel jp2 = this.getEventFrame(se);
      deckMap.put(streamkey, jp2);
      deck.add(streamkey, jp2);

      streamsList.setSelectedValue(streamkey, true);
      deck.repaint();
      pack();
    } else if (e.getActionCommand().equals("Refresh RealStream Image")) {
      String streamkey = realStreamsList.getSelectedValue().toString();

      RealStreamEvent se = new RealStreamEvent();//(RealStreamEvent)realStreamMap.get(streamkey);
//      se.setStreamID(streamkey);
      se.setClass((RealStreamEvent)realStreamMap.get(streamkey));
      se.setImagePath(((RealStreamEvent)realStreamMap.get(streamkey)).getImagePath());
      JPanel jp1 = (JPanel)realDeckMap.remove(streamkey);
      realDeck.remove(jp1);
//      lmsl.removeElement(streamkey);
      realStreamsList.clearSelection();

      JPanel jp2 = this.getEventFrame(se);
      realDeckMap.put(streamkey, jp2);
      realDeck.add(streamkey, jp2);

      realStreamsList.setSelectedValue(streamkey, true);
      realDeck.repaint();
      pack();
    } else if (e.getActionCommand().equals("Initialize RealGateway")) {
      int i = dialog.showConfirmDialog(this, "Do you want to delete stream?");
      if (i == JOptionPane.YES_OPTION) {
        initRG();
      } else if ((i == JOptionPane.NO_OPTION) ||
                 (i == JOptionPane.CANCEL_OPTION)) {
        System.out.println("answer is no or cancel");
      }
    }
  }

  public void initRG() {
//*
    InitializeRealGateway initrg = new InitializeRealGateway();
//   initrg.setSessionID(sessionID);
    for(int i=0; i<sessionIDList.size(); i++) {
      initrg.setSessionID(sessionIDList.get(i).toString());
      initrg.setClientID(clientID);
      jmsPublisher.publishMessage("InitializeRealGateway", initrg.toXML());
      System.out.println("msg published:\n" + initrg.toXML("\n"));
    }

//*/
  }
  /**
   * DOCUMENT ME!
   *
   * @param cmp DOCUMENT ME!
   * @param row DOCUMENT ME!
   * @param column DOCUMENT ME!
   * @param width DOCUMENT ME!
   * @param height DOCUMENT ME!
   */
  public void addComponent(Component cmp, int row, int column, int width,
                           int height) {
    gbc.gridx      = column;
    gbc.gridy      = row;
    gbc.gridwidth  = width;
    gbc.gridheight = height;
    layout.setConstraints(cmp, gbc);
    c.add(cmp);
  }

  /**
   * DOCUMENT ME!
   */
  public void clearRealStreamList() {
    lmrs.clear();
    realStreamMap.clear();
  }

  /**
   * DOCUMENT ME!
   */
  public void clearStreamList() {
    lmsl.clear();
    streamMap.clear();
    deckMap.clear();
  }

  /**
   * DOCUMENT ME!
   */
  public void connectSession() {
    //*
     StringTokenizer topics      = new StringTokenizer(connectArea.getText().trim(), ",");

     // Subscribe to Topics
     while (topics.hasMoreTokens()) {
       sessionID = topics.nextToken();
       sessionIDList.add(sessionID);
       String topicName = sessionID;
       topicName = "/xgsp/av/" + topicName + "/ss-client";
       jmsProp.addTopisName(topicName);
     }

 //   sessionID = connectArea.getText().trim();
 //   String subtopicName = "/xgsp/av/" + sessionID + "/ss-client";
 //   System.out.println("topic name:" + subtopicName);
 //   jmsProp.addTopisName(subtopicName);
    jmsListener = new RealJMSListener(jmsProp.getBroker(), jmsProp.getPort(),
                                      jmsProp.getConnectID(),
                                      jmsProp.getUsername(),
                                      jmsProp.getPassword(),
                                      jmsProp.getSubscriptionTopics());
    jmsListener.setStreamingClient(this);
    jmsListener.connect();
    try {
      Thread.currentThread().sleep(1000);
    }
    catch (InterruptedException ex) {
      ex.printStackTrace();
    }
    jmsPublisher = new JMSPublisher(jmsProp.getBroker(), jmsProp.getPort(),
                                    jmsProp.getConnectID(),
                                    jmsProp.getUsername(),
                                    jmsProp.getPassword(),
                                    jmsProp.getPublicationTopics());
    System.out.println("topic name:" + jmsPublisher.getTopicName());
    jmsPublisher.connect();

    //*/

    /*
     StreamEvent se  = new StreamEvent();
        Client      cll = new Client();
        cll.setUsername("testclient 1");
        cll.setSSRC(12345678);
        cll.setDescription("testing for realgateway");
        se.setClient(cll);
        se.setImagePath("http://elkhart.ucs.indiana.edu:8080/globalmmcs/images/1067192148104/2126.JPEG");

        JPanel jp1 = this.setStreamEvent(se);
        cll.setUsername("testclient 2");
        se.setClient(cll);
        se.setImagePath("C:\\Documents and Settings\\Administrator\\My Documents\\My Pictures\\SIMG5384.jpg");
        JPanel jp2 = this.setStreamEvent(se);

        deck.add("123456124", jp1);
        deckMap.put("123456124", jp1);
        //    deck.add("452173625", jp2);
        //    lmsl.addElement("452173625");
        lmsl.addElement("123456124");
        pack();
        show();
    //*/
  }

  public void convertSessionAudio() {
    JoinStream js = new JoinStream();
    js = this.getJoinAudioStream();
    jmsPublisher.publishMessage("JoinStream", js.toXML());
    System.out.println("msg published:\n" + js.toXML("\n"));
  }

  public void convertVideoSource(String streamid) {
    JoinStream js = new JoinStream();
    js = this.getJoinVideoStream(streamid);
    jmsPublisher.publishMessage("JoinStream", js.toXML());
    System.out.println("msg published:\n" + js.toXML("\n"));
  }

  public void deleteRealVideoStream(String streamid) {
    LeaveStream ls = new LeaveStream(((StreamEvent)streamMap.get(streamid)).getSessionID());
    ls = this.getLeaveVideoStream(streamid);
    jmsPublisher.publishMessage("LeaveStream", ls.toXML());
    System.out.println("msg published:\n" + ls.toXML("\n"));
  }

  public void deleteRealAudioStream() {
    LeaveStream ls = new LeaveStream(sessionID);
    ls = this.getLeaveAudioStream();
    jmsPublisher.publishMessage("LeaveStream", ls.toXML());
    System.out.println("msg published:\n" + ls.toXML("\n"));
  }


  /**
   * DOCUMENT ME!
   */
  public void deleteStream() {
  }

  /**
   * DOCUMENT ME!
   */
  public void disconnectSession() {
    //    jmsListener.disconnect();
    streamsList.clearSelection();
    streamsList.removeAll();
    deck.removeAll();
    deckMap.clear();
    lmsl.removeAllElements();
    realStreamsList.clearSelection();
    realStreamsList.removeAll();
    realDeck.removeAll();
    realDeckMap.clear();
    lmrs.removeAllElements();
    jmsListener.disconnect();
    jmsPublisher.disconnect();
    repaint();
    pack();

    /*
        StreamEvent se  = new StreamEvent();
    Client      cll = new Client();
    cll.setUsername("testclient 1");
    cll.setSSRC(12345678);
    cll.setDescription("testing for realgateway");
    se.setClient(cll);
    se.setImagePath("C:\\Documents and Settings\\Administrator\\My Documents\\My Pictures\\Sample.jpg");

    JPanel jp1 = this.setStreamEvent(se);
    cll.setUsername("testclient 2");
    se.setClient(cll);
    se.setImagePath("C:\\Documents and Settings\\Administrator\\My Documents\\My Pictures\\SIMG5384.jpg");
    JPanel jp2 = this.setStreamEvent(se);

    //deck.add("123456124", jp1);
    deck.add("452173625", jp2);

    lmsl.addElement("452173625");
    //lmsl.addElement("123456124");
    //*/
  }

  /**
   * DOCUMENT ME!
   *
   * @param args DOCUMENT ME!
   */
  public static void main(String[] args) {
    StreamingClient cl = new StreamingClient();

    /*
    StreamEvent se = new StreamEvent();
    Client cll = new Client();
    cll.setUsername("testclient");
    cll.setSSRC(12345678);
    cll.setDescription("testing for realgateway");
    se.setClient(cll);
    se.setImagePath("C:\\Documents and Settings\\Administrator\\My Documents\\My Pictures\\Sample.jpg");
    cl.setStreamEvent(se);
    StreamEvent s1 = new StreamEvent();
    s1.setClass(se);
    StreamEvent s2 = new StreamEvent();
    s2.setClass(se);
    StreamEvent s3 = new StreamEvent();
    s3.setClass(se);
    StreamEvent s4 = new StreamEvent();
    s4.setClass(se);
    StreamEvent s5 = new StreamEvent();
    s5.setClass(se);
    cl.setStreamEvent(s1);
    cl.setStreamEvent(s2);
    cl.setStreamEvent(s3);
    cl.setStreamEvent(s4);
    cl.setStreamEvent(s5);
    //*/
    cl.addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
          System.exit(0);
        }
      });

    /*    try {
          Runtime.getRuntime().exec(new String[] {"C:\\Progra~1\\Real\\RealOn~1\\realplay",
                                    "C:\\RealNetworks\\testout.rm"});
        }
        catch (IOException ex) {
        }
    //*/
  }

  /**
   * DOCUMENT ME!
   */
  public void requestAllStreams() {
    RequestAllStreams ras = new RequestAllStreams();
    clearStreamList();
    for(int i=0; i<sessionIDList.size(); i++) {
      ras.setClientID(clientID);
      ras.setSessionID(sessionIDList.get(i).toString());
      jmsPublisher.publishMessage("RequestAllStreams", ras.toXML());
      System.out.println("msg published:\n" + ras.toXML("\n"));
    }
    try {
      Thread.currentThread().sleep(2000);
    }
    catch (InterruptedException ex) {
    }

  }

  /**
   * DOCUMENT ME!
   */
  public void requestRealStreams() {
    RealStreams rs = new RealStreams();
//    for(int i=0; i<sessionIDList.size(); i++) {
      rs.setClientID(clientID);
      rs.setSessionID(sessionIDList.get(0).toString());
      jmsPublisher.publishMessage("RealStreams", rs.toXML());
      System.out.println("msg published:\n" + rs.toXML("\n"));
//    }
  }

  /**
   * DOCUMENT ME!
   *
   * @param grpName DOCUMENT ME!
   */
  public void updateMessages(String grpName) {
  }

  /**
   * DOCUMENT ME!
   */
  public void updateNewsGroups() {
  }

  /**
   * DOCUMENT ME!
   *
   * @param e DOCUMENT ME!
   */
//  public void valueChanged(ListSelectionEvent e) {
  public void valueChanged(ListSelectionEvent e) {
    if (e.getSource() == streamsList) {
      if (e.getValueIsAdjusting() == false) {
        if (streamsList.getSelectedIndex() >= 0) {
          System.out.println("source choosen:"+ streamsList.getSelectedValue());
          cardManager.show(deck, streamsList.getSelectedValue().toString());
        }
      }
    } else if (e.getSource() == realStreamsList) {
      if (e.getValueIsAdjusting() == false) {
        if (realStreamsList.getSelectedIndex() >= 0) {
          System.out.println("source choosen:"+realStreamsList.getSelectedValue());
          realCardManager.show(realDeck, realStreamsList.getSelectedValue().toString());
        }
      }
    }
  }
  public JPanel getRealDeck() {
    return realDeck;
  }
  public void setRealDeck(JPanel realDeck) {
    this.realDeck = realDeck;
  }
  public Map getRealDeckMap() {
    return realDeckMap;
  }
  public void setRealDeckMap(Map realDeckMap) {
    this.realDeckMap = realDeckMap;
  }
  public boolean isAdmin() {
    return admin;
  }
  public String getSessionID() {
    return sessionID;
  }

}
