package cgl.globalmmcs.streaming.client;

import javax.swing.*;
import java.util.*;
import cgl.globalmmcs.sessionserver.messages.*;
import cgl.globalmmcs.sessionserver.messages.realgateway.*;
/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Indiana University</p>
 * @author Hasan Bulut
 * @version 1.1
 */

public interface StreamingClientI {
  public void setClientID(String clientID);
  public String getClientID();
  public String getSessionID();
  public void setDeck(JPanel deck);
  public JPanel getDeck();
  public void setDeckMap(Map deckMap);
  public Map getDeckMap();
  public JPanel getEventFrame(StreamEvent se);
  public JPanel getEventFrame(RealStreamEvent rse);
  public JoinStream getJoinAudioStream();
  public LeaveStream getLeaveAudioStream();
  public JoinStream getJoinVideoStream(String streamid);
  public LeaveStream getLeaveVideoStream(String streamid);
  public DefaultListModel getLmrs();
  public DefaultListModel getLmsl();
  public MediaDescription getMediaDescription(String mdType);
  public void setRealStreamMap(HashMap realStreamMap);
  public HashMap getRealStreamMap();
  public JList getRealStreamsList();
  public JPanel setStreamEvent(StreamEvent ss);
  public HashMap getStreamMap();
  public JList getStreamsList();
  public void clearRealStreamList();
  public void clearStreamList();
  public void connectSession();
  public void convertSessionAudio();
  public void convertVideoSource(String streamid);
  public void deleteRealVideoStream(String streamid);
  public void deleteRealAudioStream();
  public void disconnectSession();
  public void requestAllStreams();
  public void requestRealStreams();
  public JPanel getRealDeck();
  public void setRealDeck(JPanel realDeck);
  public Map getRealDeckMap();
  public void setRealDeckMap(Map realDeckMap);
  public void pack();
  public void repaint();
  public boolean isAdmin();
}